enum VideoPlayerCompleteAction {
  loop,
  advanceToNext,
}

enum VideoLaunchBehavior {
  defaultBehavior,
  muteOnFirstLaunch,
}

class VideoPlayerConfiguration {
  /// Sets the proportion of the video player to its container.
  VideoPlayerStyle? playerStyle;

  /// Behavior occurring after video is complete.
  VideoPlayerCompleteAction? videoCompleteAction;

  /// Indicates if the video player shows share button.
  bool? showShareButton;

  /// The style of CTA button style. Only supported on iOS.
  VideoPlayerCTAStyle? ctaButtonStyle;

  /// Indicates if the video player shows playback button.
  bool? showPlaybackButton;

  /// Indicates if the video player shows mute button.
  bool? showMuteButton;

  /// Specifies the video player launch behavior.
  VideoLaunchBehavior? launchBehavior;

  /// Indicates if Firework branding should be showed or not.
  bool? showBranding;

  VideoPlayerConfiguration({
    this.playerStyle,
    this.videoCompleteAction,
    this.showShareButton,
    this.ctaButtonStyle,
    this.showPlaybackButton,
    this.showMuteButton,
    this.launchBehavior,
    this.showBranding,
  });
}

class VideoPlayerCTAStyle {
  String? backgroundColor;
  String? textColor;
  double? fontSize;

  VideoPlayerCTAStyle({
    this.backgroundColor,
    this.textColor,
    this.fontSize,
  });
}

enum VideoPlayerStyle {
  full,
  fit,
}
